using namespace Microsoft.Win32;

param(
    $Action,
    [hashtable] $Arguments
)

. "$PSScriptRoot/../../../Common/Scripts/Software.ps1";
. "$PSScriptRoot/../../../Common/Scripts/System.ps1";

Start-SoftwareInstaller @PSBoundParameters `
    -Installer {
        Install-ChocoPackage "vcredist2013";
    } `
    -UserConfigurator {
        $file = "setup.exe";
        $dir = New-TemporaryDirectory;

        Push-Location $dir;
        Invoke-WebRequest "https://files.update.oem.tobii.com/GameHub/TobiiGameHub.3.0.1-Setup.exe" -OutFile $file;
        Write-Host "Running Tobii Game Hub installer";
        Start-Process -Wait -FilePath "$PSScriptRoot/GameHub.ahk";
        Pop-Location;

        Remove-Item -Recurse $dir;
    };
