param(
    $Action,
    [hashtable] $Arguments
)

. "$PSScriptRoot/../../../Common/Scripts/Software.ps1";
. "$PSScriptRoot/../../../Common/Scripts/System.ps1";

Start-SoftwareInstaller @PSBoundParameters `
    -Installer {
        Install-ChocoPackage "dotnet-6.0-desktopruntime";
    } `
    -UserConfigurator {
        $file = "setup.exe";
        $dir = New-TemporaryDirectory;

        Push-Location $dir;
        Invoke-WebRequest "https://files.update.oem.tobii.com/Ghost/TobiiGhost.1.14.1-Setup.exe" -OutFile $file;
        Write-Host "Running Tobii Ghost installer";
        Start-Process -Wait -FilePath "$PSScriptRoot/Ghost.ahk";
        Pop-Location;

        Remove-Item -Recurse $dir;
    };
